Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class AbstractRangeValidator

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
              com.opensymphony.xwork2.validator.validators.AbstractRangeValidator

All Implemented Interfaces:
  FieldValidator, ShortCircuitableValidator, Validator

Direct Known Subclasses:
  DateRangeFieldValidator, IntRangeFieldValidator

    public abstract class AbstractRangeValidator

extends FieldValidatorSupport

Base class for range based validators.

Author:
  Jason Carreira, Cameron Braid

Field Summary

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey`

Constructor Summary
`AbstractRangeValidator()`

Method Summary
`protected abstract Comparable` | `getMaxComparatorValue()`
`protected abstract Comparable` | `getMinComparatorValue()`
`void` | `validate(Object object)` The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

Methods inherited from class com.opensymphony.xwork2.validator.validators.FieldValidatorSupport
`getFieldName, getValidatorType, setFieldName, setValidatorType`

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, conditionalParse, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getParse, getValidatorContext, isShortCircuit, setDefaultMessage, setMessageKey, setParse, setShortCircuit, setValidatorContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getValidatorContext, setDefaultMessage, setMessageKey, setValidatorContext`

Constructor Detail

### AbstractRangeValidator

    public AbstractRangeValidator()

Method Detail

### validate

    public void validate(Object object)
                  throws ValidationException

  Description copied from interface: `Validator`
  The validation implementation must guarantee that setValidatorContext will be called with a non-null ValidatorContext before validate is called.

  Throws:
    `ValidationException`

### getMaxComparatorValue

    protected abstract Comparable getMaxComparatorValue()

### getMinComparatorValue

    protected abstract Comparable getMinComparatorValue()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.